"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_path_1 = __importDefault(require("node:path"));
const node_fs_1 = __importDefault(require("node:fs"));
function reporter(benchmark, { outDir = "/" } = {}) {
    benchmark.on("end", () => {
        node_fs_1.default.writeFileSync(node_path_1.default.join(outDir, "results.json"), JSON.stringify({
            runResults: Array.from(benchmark.results.entries()).map(([k, v]) => ({
                run: k,
                results: v,
            })),
        }));
    });
}
exports.default = reporter;
